#!/usr/local/bin/perl -w
use strict;
use Tk;
use IO::File;

my $search = "";
my $oldsearch = "";
my $main = new MainWindow;
# Listbox Eintraege
my $keys = "keyFile";
my @choices;
my $words = new IO::File $keys or die "Cannot open $keys\n";
while (<$words>) {
   chomp;
   push(@choices, $_);
}
$words->close();

# Entry-Widget fuer Suchbegriff mit Suchfunktion
my $entry = $main->Entry(-textvariable => \$search)
                 ->pack(-side => "top", -fill => "x");

# Ev('K'): falls Keyborad Event: die gedrueckte Taste
$entry->bind("<KeyPress>", [ \&do_search, Ev("K") ]);

# Listbox
my $lb = $main->Scrolled("Listbox", -scrollbars => "osoe",
                        -setgrid => 1)->pack(-side => "top");
$lb->insert('end', sort @choices);

$main->Button(-text => "Exit", -command => sub { exit; })
         ->pack(-side => "bottom");
MainLoop;

# Routine, die bei Tasteneingabe aufgerufen wird
sub do_search {
   my ($entry, $key) = @_;
   return if ($key =~ /backspace/i);
   return if ($oldsearch eq $search);

   my @list = $lb->get(0, 'end');
   foreach (0 .. $#list) {
     if ($list[$_] =~ /^$search/) {
          $lb->see($_);
          $lb->selection('clear', 0, 'end');
          $lb->selection('set', $_);
          last;
     }
   }
   $oldsearch = $search;
}

