#!/usr/local/bin/perl -w
use Tk;
use strict;

my $main = new MainWindow;
$main->Bitmap('flagup', -background => 'blue',
               -file => Tk->findINC('demos/images/flagup'));
$main->Bitmap('flagdown', -background => "red",
               -file => Tk->findINC('demos/images/flagdown'));

$main->Pixmap('mysym1', -file => 'mysym1.xpm');
$main->Pixmap('mysym2', -file => 'mysym2.xpm');

$main->Photo('image1a', -file => Tk->findINC('demos/images/earth.gif'));

my $f0 = $main->Frame()->pack(-side => 'top');
$f0->Button(-image => 'image1a') ->pack(-side => 'left', -fill => 'both');
$f0->Button(-bitmap => "@/usr/X11R6/include/X11/bitmaps/enterprise-2.xbm")
          ->pack(-side => 'right', -fill => 'both');
$f0->Button(-bitmap => "@/usr/X11R6/include/X11/bitmaps/escherknot")
          ->pack(-side => 'right', -fill => 'both');

my $f1 = $main->Frame()->pack(-side => 'top');
foreach my $p ('donkey.xbm', 'elephant.xbm', 'calculator',
               'bat-0.xbm', 'keyboard.xbm', 'l-bsd.xbm',
               'terra-00.xbm', 'm-ghost.xbm', 'woman'){
  $f1->Button(-bitmap => "@/usr/X11R6/include/X11/bitmaps/$p",
            -width => 80, -height => 80)
       ->pack(-side => 'left');
}

my $f2 = $main->Frame()->pack(-side => 'top');
$f2->Checkbutton(-bg => "red",
                -image => 'flagup', -selectimage => 'flagdown',
                -width => 80, -height => 80, -indicatoron => 0)
        ->pack(-side => 'left');
$f2->Checkbutton( bg => 'green', -image => 'mysym1', -selectimage => 'mysym2',
                -width => 80, -height => 80, -indicatoron => 0)
        ->pack(-side => 'left');

$f2->Button(-bitmap => '@./mybitmap.xbm', -width => 80, 
               -height => 80, -command => sub {exit})
        ->pack(-side => 'left');

foreach my $bm ('error', 'hourglass', 'info', 
                'questhead', 'question', 
                'warning') {
    $f2->Button(-bitmap => "$bm", -height => 80, -width => 80)
       ->pack(-side => 'left');
}

MainLoop;
